------------------------------------------------------------------------------------------
-- FarmWindow file
-- Written by Homeopatix
-- 7 january 2021
------------------------------------------------------------------------------------------
local ButtonPlusStats = {};
local centerLabelStats = {};
------------------------------------------------------------------------------------------
-- create the window
------------------------------------------------------------------------------------------
function CreateFarmWindow(i)
    width = 1044;
    height = 808;

    windowWidth, windowHeight = Turbine.UI.Display:GetSize();

    FarmWindow=Turbine.UI.Lotro.GoldWindow(); 
    FarmWindow:SetSize(windowWidth, windowHeight); 
    FarmWindow:SetPosition(windowWidth / 2 - width / 2, (windowHeight / 2 - height / 2) - 20);
    FarmWindow:SetSize(width, height);
    FarmWindow:SetBlendMode(Turbine.UI.BlendMode.Undefined);
    FarmWindow:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));
    FarmWindow:SetText(ZonesNamesAndLevel["zones" .. i].texte .. "    lvl : " .. ZonesNamesAndLevel["zones" .. i].lvl);
    FarmWindow:SetVisible(false);
    FarmWindow:SetWantsKeyEvents(true);

    WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(FarmWindow); 
	WhereToPlayerDatas:SetSize(200,20); 
	WhereToPlayerDatas:SetPosition(804, 780); 
    WhereToPlayerDatas:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold24);
    WhereToPlayerDatas:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	WhereToPlayerDatas:SetText("LVL :    " .. ZonesNamesAndLevel["zones" .. i].lvl); 
	WhereToPlayerDatas:SetBackColor(Turbine.UI.Color(1, .2, .5, .75));
    WhereToPlayerDatas:SetForeColor(Turbine.UI.Color.Gold);
	WhereToPlayerDatas:SetZOrder(12);

    local posx = 20;
    local posy = 40;

    --[[ 
        1 = Artifacts
        2 = Ore
        3 = Wood
        4 = Hides
    ]]--

    WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(FarmWindow); 
	WhereToPlayerDatas:SetSize(200,20); 
	WhereToPlayerDatas:SetPosition(posx - 30, posy); 
    WhereToPlayerDatas:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold24);
    WhereToPlayerDatas:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	WhereToPlayerDatas:SetText("Artifacts"); 
    WhereToPlayerDatas:SetForeColor(Turbine.UI.Color.White);

    DisplayIcones(1, i, posx, posy + 25);

    posy = posy + 60;

    WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(FarmWindow); 
	WhereToPlayerDatas:SetSize(200,20); 
	WhereToPlayerDatas:SetPosition(posx - 30, posy); 
    WhereToPlayerDatas:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold24);
    WhereToPlayerDatas:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	WhereToPlayerDatas:SetText("Ore"); 
    WhereToPlayerDatas:SetForeColor(Turbine.UI.Color.White);

    DisplayIcones(2, i, posx, posy + 25);

    posy = posy + 60;

    WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(FarmWindow); 
	WhereToPlayerDatas:SetSize(200,20); 
	WhereToPlayerDatas:SetPosition(posx - 30, posy); 
    WhereToPlayerDatas:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold24);
    WhereToPlayerDatas:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	WhereToPlayerDatas:SetText("Wood"); 
    WhereToPlayerDatas:SetForeColor(Turbine.UI.Color.White);

    DisplayIcones(3, i, posx, posy + 25);

    posy = posy + 60;

    WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(FarmWindow); 
	WhereToPlayerDatas:SetSize(200,20); 
	WhereToPlayerDatas:SetPosition(posx - 30, posy); 
    WhereToPlayerDatas:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold24);
    WhereToPlayerDatas:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	WhereToPlayerDatas:SetText("Hides"); 
    WhereToPlayerDatas:SetForeColor(Turbine.UI.Color.White);

    DisplayIcones(4, i, posx, posy + 25);

    posy = posy + 60;

    buttonValider = Turbine.UI.Lotro.GoldButton();
	buttonValider:SetParent( FarmWindow );
	buttonValider:SetPosition(400, 776);
	buttonValider:SetSize( 300, 20 );
	buttonValider:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	buttonValider:SetText( Strings.PluginCloseButton );
	buttonValider:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	buttonValider:SetVisible(true);
	buttonValider:SetMouseVisible(true);
    buttonValider:SetZOrder(10);

    buttonValider.MouseClick = function(sender, args)
        CloseFarmWindow();
    end

    FarmWindow.KeyDown=function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			FarmWindow:SetVisible(false);
		end
	end

end
------------------------------------------------------------------------------------------
-- boutton valider
------------------------------------------------------------------------------------------
function CloseFarmWindow()
    FarmWindow:SetVisible(false);
    settings["isFarmWindowVisible"]["value"] = false;
end

------------------------------------------------------------------------------------------
-- return table lenght
------------------------------------------------------------------------------------------
function tablelength(T)
  local count = 0
  for _ in pairs(T) do count = count + 1 end
  return count
end


function DisplayIcones(val, tier,  posx, posy)
	local datas = {};
	local nbrIcons = 0;

	if(tier == 1 or tier == 2 or tier == 3)then
		tier = 1;
	end

	if(val == 1)then
		datas = datasArtifactTier[tier];
	elseif(val == 2)then
		datas = datasOreTier[tier];
	elseif(val == 3)then
		datas = datasWoodTier[tier];
	elseif(val == 4)then
		datas = datasHideTier[tier];
	end

	nbrIcons = tablelength(datas);

	for i=1, nbrIcons do
		WhereToPlayerDatas=Turbine.UI.Label(); 
		WhereToPlayerDatas:SetParent(FarmWindow); 
		WhereToPlayerDatas:SetSize(32,32); 
		WhereToPlayerDatas:SetPosition(posx, posy); 
		WhereToPlayerDatas:SetBackground(0x410002A9); 
		WhereToPlayerDatas:SetBlendMode(Turbine.UI.BlendMode.Overlay); 

		WhereToPlayerDatasIcon=Turbine.UI.Label(); 
		WhereToPlayerDatasIcon:SetParent(WhereToPlayerDatas); 
		WhereToPlayerDatasIcon:SetSize(32,32); 
		WhereToPlayerDatasIcon:SetPosition(0, 0); 
		WhereToPlayerDatasIcon:SetBackground(datas[i]); 
		WhereToPlayerDatasIcon:SetBlendMode(Turbine.UI.BlendMode.Overlay);

		posx = posx + 35;
	end        

end