------------------------------------------------------------------------------------------
-- UI file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- Initialize datas
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
function CreateMainWindow()
	local windowWidth = 480;
	local heightWind = 500;

	WhereToPlay=Turbine.UI.Lotro.GoldWindow(); 
	WhereToPlay:SetSize(windowWidth, heightWind); 
	WhereToPlay:SetText(Strings.PluginName); 
	WhereToPlay.Message11=Turbine.UI.Label(); 
	WhereToPlay.Message11:SetParent(WhereToPlay); 
	WhereToPlay.Message11:SetSize(150,10); 
	WhereToPlay.Message11:SetPosition(WhereToPlay:GetWidth()/2 - 75, WhereToPlay:GetHeight() - 18); 
	WhereToPlay.Message11:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	WhereToPlay.Message11:SetText(Strings.PluginText); 
	WhereToPlay:SetZOrder(1);
	WhereToPlay:SetMouseVisible(true);

	WhereToPlay:SetPosition(settings["windowPosition"]["xPos"], settings["windowPosition"]["yPos"]);
	
	listbox = Turbine.UI.ListBox();
    listbox:SetParent( WhereToPlay );
    --listbox:SetBackColor( Turbine.UI.Color.Red );
	listbox:SetSize(windowWidth - 45, 400);
	listbox:SetPosition(20, 70);
	listbox:IsMouseVisible(true);
	listbox:SetZOrder(10);


	WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(WhereToPlay); 
	WhereToPlayerDatas:SetSize(200,20); 
	WhereToPlayerDatas:SetPosition(10, 40); 
	WhereToPlayerDatas:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	WhereToPlayerDatas:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	WhereToPlayerDatas:SetForeColor(Turbine.UI.Color.Lime);
	WhereToPlayerDatas:SetText(PlayerName); 

	DisplayRace(windowWidth);
	DisplayClass(windowWidth);

	WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(WhereToPlay); 
	WhereToPlayerDatas:SetSize(50,20); 
	WhereToPlayerDatas:SetPosition(windowWidth/2 + 90, 40); 
	WhereToPlayerDatas:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight); 
	WhereToPlayerDatas:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22);
	WhereToPlayerDatas:SetForeColor(Turbine.UI.Color.White);
	WhereToPlayerDatas:SetText("lvl");

	WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(WhereToPlay); 
	WhereToPlayerDatas:SetSize(50,20); 
	WhereToPlayerDatas:SetPosition(windowWidth/2 + 150, 40); 
	WhereToPlayerDatas:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft); 
	WhereToPlayerDatas:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold24);
	WhereToPlayerDatas:SetForeColor(Turbine.UI.Color.Gold);
	WhereToPlayerDatas:SetText(PlayerLvl); 


	-- box bleu fond
	WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(WhereToPlay); 
	WhereToPlayerDatas:SetSize(430,36); 
	WhereToPlayerDatas:SetPosition(25, 32); 
	WhereToPlayerDatas:SetText(""); 
	WhereToPlayerDatas:SetBackColor(Turbine.UI.Color(1, .2, .5, .75));
	WhereToPlayerDatas:SetZOrder(-2);

	-- box bleu cover black
	WhereToPlayerDatas=Turbine.UI.Label(); 
	WhereToPlayerDatas:SetParent(WhereToPlay); 
	WhereToPlayerDatas:SetSize(428,34); 
	WhereToPlayerDatas:SetPosition(26, 33); 
	WhereToPlayerDatas:SetText(""); 
	WhereToPlayerDatas:SetBackColor(Turbine.UI.Color.Black);
	WhereToPlayerDatas:SetZOrder(-1);


	-- debug purpose
	--PlayerLvl = 23;
	local valLvl = {};
	local WhereToPlayZoneName = {};
	local posx = 10;
	local posy = 5;

	for i=1, 113 do

		listItem = Turbine.UI.Control();
        listItem:SetSize( 460, 25 );
		listItem:SetMouseVisible(true);


		WhereToPlayZoneName[i]=Turbine.UI.Label(); 
		WhereToPlayZoneName[i]:SetParent(listItem); 
		WhereToPlayZoneName[i]:SetSize(318,20); 
		WhereToPlayZoneName[i]:SetPosition(posx, posy); 
		WhereToPlayZoneName[i]:SetTextAlignment(Turbine.UI.ContentAlignment.Middleleft); 
		WhereToPlayZoneName[i]:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);

		if(ZonesNamesAndLevel["zones" .. i].souCat == false)then
			WhereToPlayZoneName[i]:SetText(ZonesNamesAndLevel["zones" .. i].texte); 
		else
			WhereToPlayZoneName[i]:SetText("    " .. ZonesNamesAndLevel["zones" .. i].texte); 
		end


		-- change the color if the player has the level of the zone to display
		valLvl = ReturnValueLevel(i);

		if(PlayerLvl >= tonumber(valLvl[1]) and PlayerLvl <= tonumber(valLvl[2]))then
			WhereToPlayZoneName[i]:SetBackColor(Turbine.UI.Color( .9, .5, .7, .5));
			WhereToPlayZoneName[i]:SetForeColor(Turbine.UI.Color.Black);
		else
			WhereToPlayZoneName[i]:SetBackColor(Turbine.UI.Color.Black);
			WhereToPlayZoneName[i]:SetForeColor(Turbine.UI.Color.White);
		end
		WhereToPlayZoneName[i]:SetMouseVisible(true);

		
		-- open the window of the map location
		WhereToPlayZoneName[i].MouseClick = function()
			--Turbine.Shell.WriteLine("Click Numero " .. tostring(i));
			if(settings["isMapWindowVisible"]["value"] == true)then
				MapWindow:SetVisible(false);
			end
			CreateMapWindow(i);
			MapWindow:SetVisible(true);
		end


		WhereToPlayZoneLvl=Turbine.UI.Label(); 
		WhereToPlayZoneLvl:SetParent(listItem); 
		WhereToPlayZoneLvl:SetSize(100,20); 
		WhereToPlayZoneLvl:SetPosition(posx + 328, posy); 
		WhereToPlayZoneLvl:SetTextAlignment(Turbine.UI.ContentAlignment.Middleleft); 
		WhereToPlayZoneLvl:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold19);
		WhereToPlayZoneLvl:SetForeColor(Turbine.UI.Color.Gold);
		WhereToPlayZoneLvl:SetText("lvl    " .. ZonesNamesAndLevel["zones" .. i].lvl); 

		if(PlayerLvl >= tonumber(valLvl[1]) and PlayerLvl <= tonumber(valLvl[2]))then
			WhereToPlayZoneLvl:SetForeColor(Turbine.UI.Color.Lime);
		else
			WhereToPlayZoneLvl:SetForeColor(Turbine.UI.Color.Gold);
		end

		listbox:AddItem( listItem );

	end


	vscrollListBox=Turbine.UI.Lotro.ScrollBar();
	vscrollListBox:SetParent(WhereToPlay);
	vscrollListBox:SetOrientation(Turbine.UI.Orientation.Vertical);
	vscrollListBox:SetPosition(windowWidth-20, 70);
	vscrollListBox:SetSize(10, 400); -- set width to 12 since it's a "Lotro" style scrollbar and the height is set to match the control that we will be scrolling
	vscrollListBox:SetBackColor(Turbine.UI.Color(.1,.1,.2)); -- just to give it a little style
	vscrollListBox:SetMinimum(0);
	vscrollListBox:SetMaximum( (113 * 25) - 400); -- we will allow scrolling the height of the map-the viewport height
	vscrollListBox:SetValue(0); -- set the initial value
	-- set the ValueChanged event handler to take an action when our value changes, in this case, change the map position relative to the viewport
	vscrollListBox.ValueChanged=function()
		listbox:SetTop(0-vscrollListBox:GetValue());
	end

	listbox:SetVerticalScrollBar(vscrollListBox);

	EscapeKeyHandler();
	PositionChangedWindow();
	ClosingTheWindow();
end